import React from 'react';
import { PropsFromStyles, TooltipProps } from './types';
declare const useStyles: <Props_1 extends import("./types").StyleProps<{
    root: string;
    top: string;
    left: string;
    bottom: string;
    right: string;
    tooltipContainer: string;
}>, ComponentType extends import("./types").ReactComponent = "div">(props?: Props_1, component?: ComponentType | undefined) => Pick<Props_1, Exclude<keyof Props_1, "style" | "color" | "on" | "styles" | "className">> & {
    Root: React.ComponentType<ComponentType extends React.ComponentType<infer U> ? U : ComponentType extends "symbol" | "object" | "big" | "link" | "small" | "sub" | "sup" | "track" | "progress" | "a" | "abbr" | "address" | "area" | "article" | "aside" | "audio" | "b" | "base" | "bdi" | "bdo" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "cite" | "code" | "col" | "colgroup" | "data" | "datalist" | "dd" | "del" | "details" | "dfn" | "dialog" | "div" | "dl" | "dt" | "em" | "embed" | "fieldset" | "figcaption" | "figure" | "footer" | "form" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "header" | "hgroup" | "hr" | "html" | "i" | "iframe" | "img" | "input" | "ins" | "kbd" | "label" | "legend" | "li" | "main" | "map" | "mark" | "menu" | "meta" | "meter" | "nav" | "noscript" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "q" | "rp" | "rt" | "ruby" | "s" | "samp" | "script" | "section" | "select" | "source" | "span" | "strong" | "style" | "summary" | "table" | "tbody" | "td" | "template" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "u" | "ul" | "var" | "video" | "wbr" | "circle" | "clipPath" | "defs" | "desc" | "ellipse" | "feBlend" | "feColorMatrix" | "feComponentTransfer" | "feComposite" | "feConvolveMatrix" | "feDiffuseLighting" | "feDisplacementMap" | "feDistantLight" | "feFlood" | "feFuncA" | "feFuncB" | "feFuncG" | "feFuncR" | "feGaussianBlur" | "feImage" | "feMerge" | "feMergeNode" | "feMorphology" | "feOffset" | "fePointLight" | "feSpecularLighting" | "feSpotLight" | "feTile" | "feTurbulence" | "filter" | "foreignObject" | "g" | "image" | "line" | "linearGradient" | "marker" | "mask" | "metadata" | "path" | "pattern" | "polygon" | "polyline" | "radialGradient" | "rect" | "stop" | "svg" | "switch" | "text" | "textPath" | "tspan" | "use" | "view" | "menuitem" | "keygen" | "noindex" | "webview" | "animate" | "animateMotion" | "animateTransform" | "feDropShadow" | "mpath" ? JSX.IntrinsicElements[ComponentType] : any>;
    styles: {
        root: string;
        top: string;
        left: string;
        bottom: string;
        right: string;
        tooltipContainer: string;
    };
};
interface Props extends PropsFromStyles<typeof useStyles> {
    title: React.ReactNode;
    children: (tooltipProps: TooltipProps) => void;
    position?: 'top' | 'bottom' | 'left' | 'right';
}
declare function Tooltip(props: Props): JSX.Element;
export default Tooltip;
