import React from 'react';
import css from './css';
import { DynamicColorPalette, Theme, ReactComponent, StyleProps } from './types';
declare type GetComponentProps<ComponentType extends ReactComponent> = ComponentType extends React.ComponentType<infer U> ? U : ComponentType extends keyof JSX.IntrinsicElements ? JSX.IntrinsicElements[ComponentType] : any;
declare type StyleFnArgs = {
    css: typeof css;
    color: DynamicColorPalette;
    theme: Theme;
    givenColor: string;
    givenSurface: string;
};
declare function createStyles<Styles extends {
    [key: string]: string;
}>(stylesFn: (args: StyleFnArgs) => Styles): <Props extends StyleProps<Styles>, ComponentType extends ReactComponent = "div">(props?: Props, component?: ComponentType | undefined) => Pick<Props, Exclude<keyof Props, "style" | "color" | "on" | "styles" | "className">> & {
    Root: React.ComponentType<GetComponentProps<ComponentType>>;
    styles: Styles;
};
export default createStyles;
