import { Theme } from './types';
declare type RecursivePartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? RecursivePartial<U>[] : T[P] extends object ? RecursivePartial<T[P]> : T[P];
};
/**
 * recursively merges a base object with an incoming object
 */
export declare function recursiveMerge<T>(base: T, incoming?: RecursivePartial<T>): T;
declare function createTheme(partialTheme?: RecursivePartial<Theme>): Theme;
export default createTheme;
